<?xml version="1.0" encoding="utf-8"?>

<creole>

    <containers>
        <container name='ltspserver' id='54'>
            <package>eole-ltsp-server-pkg</package>
            <service>tftpd-hpa</service>
            <file name="/etc/ltsp/ltsp.conf"/>
        </container>
    </containers>

    <variables>
        <family name='services'>
            <variable name='activer_tftp' redefine="True">
                <value>oui</value>
            </variable>
        </family>
        <family name="ltsp" icon='book'>
            <variable name='adresse_serveur_nfs' type='domain' description="Adresse IP ou nom DNS du serveur NFS" mandatory='True'/>
            <variable name='ltsp_eole_minimal' type="oui/non" description="Mettre à disposition l'image minimale EOLE"/>
            <variable name='ltsp_primtux' type="oui/non" description="Mettre à disposition l'image Primtux 6">
                <value>non</value>
            </variable>
            <variable name='ltsp_livecd_ubuntu' type="oui/non" description="Mettre à disposition le live CD Ubuntu Focal">
                <value>non</value>
            </variable>
        </family>

        <family name='tftp' mode='expert'>
            <variable name='adresse_ip_tftp' redefine='True' hidden='True'/>
            <variable name='repertoire_tftp' redefine='True'>
                <value>/srv/tftp/</value>
            </variable>
            <variable name='chemin_fichier_pxe' redefine='True' hidden='True' remove_condition='True'>
                <value>/ltsp/ltsp.ipxe</value>
            </variable>
        </family>
        <separators>
            <separator name='adresse_serveur_nfs'>Configuration générale de l'environnement</separator>
        </separators>
    </variables>

    <constraints>
        <fill name='calc_val' target='adresse_serveur_nfs'>
            <param type='eole'>adresse_ip_ldap</param>
        </fill>
    </constraints>

    <help>
        <family name='ltsp'>Configuration générale du serveur de clients légers</family>
        <variable name='adresse_serveur_nfs'>Nom de domaine ou l'adresse IP du serveur NFS</variable>
    </help>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
